Get engine statuses of Language AI profile
curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/statuses \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/statuses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles/{uid}/engines/statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"engineStatuses": [
{
"error": "<string>",
"name": "<string>",
"ok": true,
"uid": "<string>"
}
]
}Language AI
Get engine statuses of Language AI profile
Makes real-time calls to each MT engine backend to retrieve live status. Each entry includes the engine name.
GET
/
api2
/
v2
/
memsourceTranslateProfiles
/
{uid}
/
engines
/
statuses
Get engine statuses of Language AI profile
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Profile UID. This is a Language AI profile uid, not a machine translate settings uid; for MT-engine settings operations, use GET/PUT/DELETE /api2/v1/machineTranslateSettings/{mtsUid} instead.
Response
OK
Live status of each MT engine attached to a Language AI profile.
List of engine status entries
Show child attributes
Show child attributes
Was this page helpful?